/*Farver*/
:root{
    --beige: #dad0c0;
    --Mørkerød: #331316;
    --Sort:#000000;
    --Gul: #f7be05;
    --Rød: #c00c1e;
    --Hvid: #ffffff;
}

/*Fonts*/
.dm-serif-display-regular {
    font-family: "DM Serif Display", serif;
    font-weight: 400;
    font-style: normal;
  }

/*flag*/
.flag{
    height: 50px; /* flagets størelse */
    width: auto;
    margin-top: 15px;
  }
  
/*logo*/
.logo{
    height: 65px; /* flagets størelse */
    width: auto;
  }

  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "DM Serif Display", serif;
    text-transform: none;
    text-decoration: none;
    min-height: 100vh;
    background-size: cover;
    background-position: center;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background-image: url(/images/forside_menu.png)
}



header {
    position: fixed;  
    background: var(--beige);
    top:0;
    left:0;
    right:0;
    padding: 10px 7%;
    display: flex;
    justify-content: space-between;
    z-index: 1000;
    gap: 10%;
}

header .logo {
    font-weight: bolder;
    font-size: 25px;
    color: var(--Mørkerød);
}

header .navbar ul {
    list-style: none;
    display: flex;
}

header .navbar ul li {
    position: relative;
    float: left;
}

header .navbar ul li a {
    text-decoration: none;
    font-size: 20px;
    padding: 18px;
    color: var(--Mørkerød);
    display: block;
}

header .navbar ul li a:hover {
    background:var(--Mørkerød);
    color: #fff;
}

header .navbar ul li ul {
    position: absolute;
    left: 0;
    width: 200px;
    background: var(--beige);
    display: none;
}

header .navbar ul li ul li {
    width: 100%;
    border-top: 1px solid var(--Mørkerød);
}

header .navbar ul li ul li ul {
    left: 200px;
    top:0;
}

header .navbar ul li:focus-within > ul,
header .navbar ul li:hover > ul {
    display: block;
}

#menu-bar {
    display: none;
}

header label {
    font-size: 20px;
    color: #333;
    cursor: pointer;
    display: none;
}

/*Tablet størrelse*/
@media(max-width:991px){
    header{
        padding: 20px;
    }
    
    header label {
        display: block;
    }

    header .navbar{
        position: absolute;
        top: 100%;
        left:0;
        right:0;
        background: var(--Hvid);
        border-top: 1px solid var(--Mørkerød);
        display: none;  
    }

    header .navbar ul li {
        width: 100%;
    }

    header .navbar ul li ul {
        position: relative;
        width: 100%;
    }

    header .navbar ul li ul li {
        background: var(--Hvid);
    }

    header .navbar ul li ul li ul {
        width: 100%;
        left:0;
    }

    #menu-bar:checked ~ .navbar {
        display: block;
    }
    /* Gør siden responsiv og nulstil standardmargener */
    * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    }

    /* Stil for navigation */
    nav {
    position: absolute;
    top: 0;
    width: 100%;
    background: var(--Mørkerød); /* Gennemsigtig baggrund for menu */
    color: var(--Hvid);
    z-index: 10;
    }

    nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    padding: 10px 0;
    }

    nav ul li {
    margin: 0 15px;
    }

    nav ul li a {
    color: var(--Hvid);
    text-decoration: none;
    font-weight: bold;
    }
}


.menuen{
    padding: 100px;
    display: block;
}

.container{
    display: flex;
    justify-content: space-around;
    text-align: left;
    background-color: var(--beige);
    opacity: 80%;
    border: 1px solid var(--Mørkerød); /* Kant omkring boksen */
}

h1{
    display: flex;
    justify-content: center;
    padding: 20px;
    font-size: xx-large;
    color: var(--Mørkerød);
}

h2{
    display: flex;
    justify-content: center;
    padding: 20px;  
    text-align: left;
    color: var(--Mørkerød);
}
h3{
    padding-bottom: 5px;
    display: inline-block;
    margin-bottom: 1%;
    color: var(--Rød);
    border-bottom: 2px solid var(--Mørkerød);
}

p{
    font-family: "DM Serif Display", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1rem;
    margin-bottom: 2%; /*Afstand mellem afsnittene*/
    text-align: left;
    color: var(--Mørkerød);
}

footer{
    background-color: var(--beige);
    color: var(--Mørkerød);
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: auto;
    padding-left: 2%;
    padding-right: 2%;
}

/*SoMe ikoner*/
.Facebook{
    width: 30px;
    height: auto;
}

.instagram{
    width: 30px;
    height: auto;
}

/* telefonstørrelse */
@media (max-width: 480px){
    footer{
        font-size: smaller;
    }
    body {
        font-family: "DM Serif Display", serif;
        text-transform: none;
        text-decoration: none;
        min-height: 100vh;
        
        background-position: center;
        min-height: 100vh;
        display: flex;
        flex-direction: column;
      
    }
    header .navbar ul {
        list-style: none;
        display: block;
        gap: 15px;
        text-align: center;
    }

    header {
        justify-content: space-between;
    }

    .flag{
        height: 70px; /* flagets størelse */
        width: auto;
        margin-top: 15px;
      }

    header label {
        text-align: center;
    }

    #menu-bar{
    align-items: center;
    font-size: large;
    }

    .container{
        display: block;
        justify-content: space-around;
        text-align: center;
        align-items: center;
        background-color: var(--beige);
        opacity: 80%;
        border: 1px solid var(--Mørkerød); /* Kant omkring boksen */
        padding: 10%;
        width: 100%;
   
  
    }
}